function FileData_Pairs(x)
{
x.t("fault","tolerance");
x.t("differently","shared");
x.t("active","server");
x.t("example","line");
x.t("example","identify");
x.t("method","blocks");
x.t("method","performed");
x.t("unshared","state");
x.t("tibjmsufo.jar","create");
x.t("failover","extension");
x.t("failover","clients");
x.t("failover","process");
x.t("create","unshared");
x.t("callback","invoked");
x.t("callback","recoverconnection");
x.t("callback","immediately");
x.t("related","objects");
x.t("tcp://server0:7222","second");
x.t("tcp://server0:7222","tcp://server1:7344");
x.t("performs","follows");
x.t("fault-tolerant","pair");
x.t("tcp://b1:8222","tcp://b2:8222");
x.t("until","connection");
x.t("until","failed");
x.t("until","recoverconnection");
x.t("until","urls");
x.t("line","specifies");
x.t("pair","share");
x.t("pair","shared");
x.t("state","example");
x.t("state","failover");
x.t("state","serverurl=");
x.t("state","connection");
x.t("state","servers");
x.t("state","plus");
x.t("state","combine");
x.t("state","syntax");
x.t("state","client\u2019s");
x.t("state","client");
x.t("state","connections");
x.t("state","shared");
x.t("state","specify");
x.t("state","server");
x.t("extension","jms");
x.t("calls","connection");
x.t("recreated","until");
x.t("serverurl=","tcp://server0:7222");
x.t("serverurl=","tcp://a1:8222");
x.t("connection","unshared");
x.t("connection","related");
x.t("connection","api");
x.t("connection","fails");
x.t("connection","url");
x.t("connection","factory\u2019s");
x.t("connection","first");
x.t("connection","recovery");
x.t("connection","lost");
x.t("connection","broken");
x.t("connection","factory");
x.t("connection","valid");
x.t("connection","considered");
x.t("connection","repair");
x.t("connection","created");
x.t("however","unshared");
x.t("inside","messagelistener");
x.t("multiple","servers");
x.t("identify","first");
x.t("reconnect","second");
x.t("reconnect","specify");
x.t("listed","connection");
x.t("jms","specification");
x.t("among","servers");
x.t("servers","list");
x.t("servers","commas");
x.t("servers","creating");
x.t("servers","second");
x.t("servers","messages");
x.t("servers","share");
x.t("objects","long");
x.t("objects","including");
x.t("start","list");
x.t("includes","jar");
x.t("block","until");
x.t("file","tibjmsufo.jar");
x.t("file","creating");
x.t("file","present");
x.t("invoked","recover");
x.t("again","note");
x.t("list","url");
x.t("list","attempts");
x.t("list","client");
x.t("list","urls");
x.t("signs","example");
x.t("signs","separate");
x.t("jar","file");
x.t("ems","client");
x.t("during","unshared");
x.t("api","performs");
x.t("api","behaves");
x.t("tcp://a2:8222","tcp://b1:8222");
x.t("wrap","start");
x.t("configuring","clients");
x.t("fails","until");
x.t("fails","client");
x.t("fails","tibco");
x.t("fails","connection\u2019s");
x.t("messagelistener","callback");
x.t("url","list");
x.t("url","fails");
x.t("url","tried");
x.t("url","order");
x.t("delivered","out-of-order");
x.t("specified","using");
x.t("commas","separate");
x.t("creating","connection");
x.t("clients","unshared");
x.t("clients","attempt");
x.t("follows","methods");
x.t("connectionfailureexception","methods");
x.t("com.tibco.tibems.ufo","package");
x.t("methods","connection");
x.t("methods","called");
x.t("plus","signs");
x.t("none","attempts");
x.t("exceptionlistener","callback");
x.t("standard","ems");
x.t("combine","shared");
x.t("attempts","wrap");
x.t("attempts","recreate");
x.t("attempts","succeed");
x.t("attempts","connect");
x.t("recreate","objects");
x.t("attempt","reconnect");
x.t("pairs","unshared");
x.t("tcp://b2:8222","note");
x.t("three","important");
x.t("second","pair");
x.t("second","connection");
x.t("second","server");
x.t("factory\u2019s","recoverconnection");
x.t("tried","none");
x.t("tried","first");
x.t("present","environment");
x.t("failed","connection");
x.t("failed","attempts");
x.t("recoverconnection","method");
x.t("recoverconnection","successfully");
x.t("blocks","until");
x.t("point","underlying");
x.t("finally","server");
x.t("syntax","include");
x.t("client\u2019s","connection");
x.t("next","url");
x.t("messages","lost");
x.t("first","jar");
x.t("first","url");
x.t("first","failed");
x.t("first","server");
x.t("long","unshared");
x.t("elsewhere","block");
x.t("underlying","tcp/ssl");
x.t("recover","connection");
x.t("chapter","fault");
x.t("duplicated","delivered");
x.t("recovery","unshared");
x.t("share","state");
x.t("specifies","server");
x.t("ways","first");
x.t("lost","during");
x.t("lost","duplicated");
x.t("important","ways");
x.t("client","however");
x.t("client","reconnect");
x.t("client","attempts");
x.t("client","second");
x.t("client","tries");
x.t("client","valid");
x.t("client","application");
x.t("connected","active");
x.t("enable","client");
x.t("fully","recreated");
x.t("return","connectionfailureexception");
x.t("succeed","connection");
x.t("environment","classpath");
x.t("broken","api");
x.t("broken","point");
x.t("successfully","returns");
x.t("tibco","software");
x.t("ensure","classpath");
x.t("tibjmsufo","jar");
x.t("sessions","producers");
x.t("tries","next");
x.t("tries","urls");
x.t("factory","create");
x.t("factory","finally");
x.t("factory","ensure");
x.t("include","tibjmsufo");
x.t("tolerance","configuring");
x.t("connections","unshared");
x.t("connections","configuring");
x.t("connections","com.tibco.tibems.ufo");
x.t("connections","three");
x.t("connections","chapter");
x.t("connections","created");
x.t("process","unshared");
x.t("classpath","includes");
x.t("classpath","client");
x.t("valid","connection");
x.t("valid","again");
x.t("considered","broken");
x.t("separate","servers");
x.t("sequence","until");
x.t("urls","servers");
x.t("urls","specified");
x.t("urls","tried");
x.t("urls","sequence");
x.t("urls","separated");
x.t("urls","server");
x.t("behaves","standard");
x.t("dual","state");
x.t("shared","state");
x.t("shared","among");
x.t("out-of-order","across");
x.t("application","calls");
x.t("specification","state");
x.t("called","inside");
x.t("called","elsewhere");
x.t("note","connection");
x.t("note","share");
x.t("repair","connected");
x.t("created","differently");
x.t("created","using");
x.t("package","methods");
x.t("immediately","return");
x.t("order","listed");
x.t("separated","plus");
x.t("using","unshared");
x.t("connect","url");
x.t("across","failover");
x.t("producers","consumers");
x.t("consumers","fully");
x.t("returns","specify");
x.t("connection\u2019s","exceptionlistener");
x.t("performed","exceptionlistener");
x.t("tcp/ssl","connection");
x.t("including","sessions");
x.t("tcp://a1:8222","tcp://a2:8222");
x.t("server","tcp://server0:7222");
x.t("server","fault-tolerant");
x.t("server","connection");
x.t("server","pairs");
x.t("server","client");
x.t("server","enable");
x.t("server","urls");
x.t("server","tcp://server1:7344");
x.t("specify","serverurl=");
x.t("specify","multiple");
x.t("specify","urls");
x.t("specify","server");
x.t("tcp://server1:7344","dual");
x.t("tcp://server1:7344","specify");
}
